Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1523100 - Package review: tripleo-ipsec - Ansible role to configure IPSEC tunnels for TripleO
Summary: Package review: tripleo-ipsec - Ansible role to configure IPSEC tunnels for ...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: RDO
Classification: Community
Component: Package Review
Version: trunk
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: trunk
Assignee: Matthias Runge
QA Contact: hguemar
URL:
Whiteboard:
Depends On: 1519931
Blocks: RDO-QUEENS
TreeView+ depends on / blocked
 
Reported: 2017-12-07 08:45 UTC by Juan Antonio Osorio
Modified: 2018-01-09 14:03 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of: 1519931
Environment:
Last Closed: 2018-01-09 14:03:01 UTC
mrunge: rdo-review+


Attachments (Terms of Use)
tripleo-ipsec.spec (deleted)
2017-12-08 14:31 UTC, Juan Antonio Osorio
no flags Details
ansible-tripleo-ipsec.spec (deleted)
2017-12-08 14:40 UTC, Juan Antonio Osorio
no flags Details


Links
System ID Priority Status Summary Last Updated
RDO 10882 None None None 2017-12-08 14:29:28 UTC

Description Juan Antonio Osorio 2017-12-07 08:45:58 UTC
TripleO Support for enabling IPSEC is enabled by the tripleo-ipsec ansible role. It needs to be packaged.


This comes from the following RFE:
https://bugzilla.redhat.com/show_bug.cgi?id=1519931

Comment 2 Javier Peña 2017-12-07 09:40:38 UTC
Initial licensecheck output:

$ licensecheck -r .
./.gitreview: *No copyright* UNKNOWN
./.zuul.yaml: *No copyright* UNKNOWN
./LICENSE: UNKNOWN
./README.md: *No copyright* UNKNOWN
./setup.cfg: *No copyright* UNKNOWN
./setup.py: Apache (v2.0) GENERATED FILE
./tox.ini: *No copyright* UNKNOWN
./defaults/main.yml: *No copyright* UNKNOWN
./files/ipsec-resource-agent.sh: GPL (v2) (with incorrect FSF address)
./handlers/main.yml: *No copyright* UNKNOWN
./meta/main.yml: *No copyright* UNKNOWN
./tasks/firewall.yml: *No copyright* UNKNOWN
./tasks/hardcoded-network-discover.yml: *No copyright* UNKNOWN
./tasks/ipsec-conf.yml: *No copyright* UNKNOWN
./tasks/ipsec.yml: *No copyright* UNKNOWN
./tasks/legacy-ipsec-conf.yml: *No copyright* UNKNOWN
./tasks/legacy.yml: *No copyright* UNKNOWN
./tasks/main.yml: *No copyright* UNKNOWN
./tasks/resource-agent.yml: *No copyright* UNKNOWN
./tasks/setup.yml: *No copyright* UNKNOWN
./tasks/uninstall.yml: *No copyright* UNKNOWN
./templates/ipsec-node-to-node-private-or-clear.conf.j2: *No copyright* GENERATED FILE
./templates/ipsec-node-to-node-private.conf.j2: *No copyright* GENERATED FILE
./templates/ipsec-node-to-node-tunnels.secrets.j2: *No copyright* UNKNOWN
./templates/ipsec-opportunistic-private-or-clear.conf.j2: *No copyright* GENERATED FILE
./templates/ipsec-opportunistic-private.conf.j2: *No copyright* GENERATED FILE
./templates/ipsec-vip-tunnels.conf.j2: *No copyright* GENERATED FILE
./templates/ipsec-vip-tunnels.secrets.j2: *No copyright* UNKNOWN
./templates/legacy-ipsec-node-to-node-tunnels.conf.j2: *No copyright* GENERATED FILE
./templates/legacy-ipsec-node-to-node-tunnels.secrets.j2: *No copyright* UNKNOWN
./templates/policy.j2: *No copyright* GENERATED FILE
./tests/deploy-ipsec-tripleo.yml: *No copyright* UNKNOWN
./tests/inventory: *No copyright* UNKNOWN
./tests/test.yml: *No copyright* UNKNOWN
./zuul.d/layout.yml: *No copyright* UNKNOWN

Licensecheck is failing to identify the license in file LICENSE, which is GPL v3. Thus, the repository is licensed as GPL v3.

Comment 3 Juan Antonio Osorio 2017-12-08 14:31:19 UTC
Created attachment 1364880 [details]
tripleo-ipsec.spec

Comment 4 Juan Antonio Osorio 2017-12-08 14:40:31 UTC
Created attachment 1364881 [details]
ansible-tripleo-ipsec.spec

Comment 5 Matthias Runge 2017-12-08 18:56:25 UTC
while the code looks ok, there is not even a release, no tag. That makes it hard to do a review based on any release.

The licensing is ok, the spec file is readable and uses macros consistently. It also does not include any bundled content.

Comment 6 Haïkel Guémar 2017-12-11 15:57:30 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2) (with incorrect FSF address)", "Unknown or
     generated". 42 files have unknown license. Detailed output of
     licensecheck in /home/hguemar/dist-git-delorean/centos-
     master/data/repos/b5/ff/b5ffd14a044c069eb69119e3542837aa504db019_dev
     /ansible-tripleo-ipsec/licensecheck.txt
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/ansible
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/ansible,
     /usr/lib/python2.7, /usr/lib/python2.7/site-packages
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[-]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define upstream_version
     0.0.1.dev147
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: ansible-tripleo-ipsec-0.0.1-0.20171211143842.b5ffd14.el7.noarch.rpm
          ansible-tripleo-ipsec-0.0.1-0.20171211143842.b5ffd14.el7.src.rpm
ansible-tripleo-ipsec.noarch: E: no-changelogname-tag
ansible-tripleo-ipsec.noarch: E: non-executable-script /usr/share/ansible/roles/tripleo-ipsec/files/ipsec-resource-agent.sh 644 /bin/sh 
ansible-tripleo-ipsec.src: E: no-changelogname-tag
ansible-tripleo-ipsec.src: W: invalid-url Source0: tripleo-ipsec-0.0.1.dev147-0.20171211143842.b5ffd14.tar.gz
2 packages and 0 specfiles checked; 3 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
ansible-tripleo-ipsec.noarch: E: no-changelogname-tag
ansible-tripleo-ipsec.noarch: W: invalid-url URL: https://git.openstack.org/cgit/openstack/tripleo-ipsec <urlopen error [Errno -2] Name or service not known>
ansible-tripleo-ipsec.noarch: E: non-executable-script /usr/share/ansible/roles/tripleo-ipsec/files/ipsec-resource-agent.sh 0644L /bin/sh
1 packages and 0 specfiles checked; 2 errors, 1 warnings.



Requires
--------
ansible-tripleo-ipsec (rpmlib, GLIBC filtered):
    ansible



Provides
--------
ansible-tripleo-ipsec:
    ansible-tripleo-ipsec



Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m rdo-pike-el7 -r --name ansible-tripleo-ipsec-0.0.1-0.20171211143842.b5ffd14.el7.centos.src.rpm
Buildroot used: cloud7-openstack-pike-el7-build
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 7 Javier Peña 2018-01-09 14:03:01 UTC
The package is already available in RDO Trunk, closing.


Note You need to log in before you can comment on or make changes to this bug.